package fr.inria.phoenix.scenario.doorlocks.impl;
        
import fr.inria.phoenix.diasuite.framework.context.alert.AbstractAlert;
import fr.inria.phoenix.diasuite.framework.context.battery.AbstractBattery;
import fr.inria.phoenix.diasuite.framework.context.format.AbstractFormat;
import fr.inria.phoenix.diasuite.framework.controller.log.AbstractLog;
import fr.inria.phoenix.diasuite.framework.controller.mailnotifier.AbstractMailNotifier;
import fr.inria.phoenix.diasuite.framework.controller.smsnotifier.AbstractSmsNotifier;
import fr.inria.phoenix.diasuite.framework.misc.AppComponentBinder;
import fr.inria.phoenix.scenario.doorlocks.impl.context.*;
import fr.inria.phoenix.scenario.doorlocks.impl.controller.*;

/* (non-Javadoc)
 * The binder to provides the various components of the application
 * @see fr.inria.phoenix.diasuite.framework.misc.AppComponentBinder
 */
public class ComponentBinder extends AppComponentBinder {

	@Override
	public Class<? extends AbstractAlert> getAlertClass() {
		return Alert.class;
	}

	@Override
	public Class<? extends AbstractBattery> getBatteryClass() {
		return Battery.class;
	}

	@Override
	public Class<? extends AbstractFormat> getFormatClass() {
		return Format.class;
	}

	@Override
	public Class<? extends AbstractLog> getLogClass() {
		return Log.class;
	}

	@Override
	public Class<? extends AbstractMailNotifier> getMailNotifierClass() {
		return MailNotifier.class;
	}

	@Override
	public Class<? extends AbstractSmsNotifier> getSmsNotifierClass() {
		return SmsNotifier.class;
	}
	
}
